backend/controllers/SiteController.php
<?php
namespace backend\controllers;

use Yii;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use common\models\LoginForm;

/**
 * Site controller
 */
class SiteController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'actions' => ['login', 'error'],
                        'allow' => true,
                    ],
                    [
                        'actions' => ['logout', 'index'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        } else {
            return $this->render('login', [
                'model' => $model,
            ]);
        }
    }

    /**
     * Logout action.
     *
     * @return string
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }
}

frontend/controllers/SiteController.php
<?php
namespace frontend\controllers;

use Yii;
use yii\base\InvalidParamException;
use yii\web\BadRequestHttpException;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use common\models\LoginForm;
use frontend\models\PasswordResetRequestForm;
use frontend\models\ResetPasswordForm;
use frontend\models\SignupForm;
use frontend\models\ContactForm;
use frontend\modules\trip\models\Trip;
use frontend\modules\trip\models\TripSearch;
use frontend\modules\trip\models\Transactions;
use yii\data\ActiveDataProvider;
use frontend\modules\vendor\models\Vehicle;
use frontend\modules\vendor\models\VehicleSearch;
use frontend\modules\vendor\models\VehicleStatusTwo;
use frontend\modules\vendor\models\GpsTrackingSearch;
use frontend\modules\trip\models\TripDocuments;
use yii\web\UploadedFile;
use frontend\modules\vendor\models\GpsTracking;

/**
 * Site controller
 */
class SiteController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout','signup','contact','about'],
                'rules' => [
                    [
                        'actions' => ['signup'],
                        'allow' => true,
                        'roles' => ['?'],
                    ],
                    [
                        'actions' => ['logout','index','contact','about','delhivery-updates','vehicletrackingcsv'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return mixed
     */
    public function actionIndex()
    {
        if (Yii::$app->user->isGuest) {
            return $this->redirect('/site/login');
        }

        if (Yii::$app->user->identity->role == 0) {
            return $this->redirect('/tracking/manage/index');
        }

        // For Driver

        if (Yii::$app->user->identity->role == 1) {
          $model = Trip::driverCurrentTrip(\Yii::$app->user->identity->id);
          
          if(empty($model)){
              $addRemarks=null;
              $dataTransactions=null;
              $modelTransactions=null;
              $modelDocumentUpload = null;
          }else{
                    $addRemarks = new Trip(['scenario'=>'addRemarks']);
                    $dataTransactions = new ActiveDataProvider([
                        'query' => Transactions::tripTransactionDetails($model->id,3),
                        'pagination' => [ 'pageSize' => 10, ],
                    ]);
                    $modelDocumentUpload = TripDocuments::findOne(['trip_id'=>$model->id]);
                    if (empty($modelDocumentUpload)) {
                      $modelDocumentUpload = new TripDocuments();
                      $modelDocumentUpload->trip_id = $model->id;
                      $modelDocumentUpload->created_at = date('Y-m-d H:i:s');
                      $modelDocumentUpload->updated_at = date('Y-m-d H:i:s');
                      $modelDocumentUpload->status = 1;
                    }
                    if ($modelDocumentUpload->load(Yii::$app->request->post())) {
                      $modelDocumentUpload->document = UploadedFile::getInstance($modelDocumentUpload, 'document');
                      if ($modelDocumentUpload->validate()) {
                        $modelDocumentUpload->uploadDocument();
                        $modelDocumentUpload->save(false);
                        $this->refresh();
                      }
                    }
                    $modelTransactions = new Transactions();
                    if ($modelTransactions->load(Yii::$app->request->post()) && !empty($modelTransactions->id)) {
                      $modelTransactions = Transactions::findOne($modelTransactions->id);
                    }
                    if ($modelTransactions->load(Yii::$app->request->post()) && $modelTransactions->processData($model)) {
                      $modelTransactions->save(false);
                      $modelTransactions->sendSmsToVendor($model);
                      $this->refresh();
                    }
          }
          return $this->render('driver', [
              'model'=>$model,
              'addRemarks'=>$addRemarks,
              'dataTransactions'=>$dataTransactions,
              'modelTransactions'=>$modelTransactions,
              'modelDocumentUpload'=>$modelDocumentUpload,
          ]);
        }

        $searchModel = new TripSearch();
        $dataProvider = $searchModel->searchFindTasks(Yii::$app->request->queryParams);

        $vehicleSearchModel = new VehicleSearch();
        $vehicleDataProvider = $vehicleSearchModel->searchVehicle(Yii::$app->request->queryParams);

        $gspTrackingSearch = new GpsTrackingSearch();
        $gspTrackingData = $gspTrackingSearch->search(Yii::$app->request->queryParams);

        $vehicleTrackingTwoSearch = new VehicleStatusTwo();
        $vehicleTrackingTwoDataProvider = $vehicleTrackingTwoSearch->searchVehicleStatusTwo(Yii::$app->request->queryParams);

        // $closedOrderDataProvider = new ActivedataProvider([
        //     'query'=>Trip::closedOrders(),
        //     'pagination' =>[ 'pageSize'=>10 ],
        // ]);

        return $this->render('index', [
            'searchModel'=>$searchModel,
            'dataProvider' => $dataProvider,
            'vehicleSearchModel'=>$vehicleSearchModel,
            'vehicleDataProvider' => $vehicleDataProvider,
            'gspTrackingSearch' => $gspTrackingSearch,
            'gspTrackingData' => $gspTrackingData,
            'vehicleTrackingTwoSearch' => $vehicleTrackingTwoSearch,
            'vehicleTrackingTwoDataProvider' => $vehicleTrackingTwoDataProvider,
            // 'closedOrderDataProvider' => $closedOrderDataProvider,
            'tripCounts'=>Trip::tripCounts()
        ]);
    }


    public function actionVehicletrackingcsv(){

        $vehicleTrackingTwoSearch = new VehicleStatusTwo();
        $vehicleTrackingTwoDataProvider = $vehicleTrackingTwoSearch->searchVehicleStatusTwo(Yii::$app->request->queryParams);
        $vehicleTrackingTwoSearch->load(Yii::$app->request->queryParams);

                    $startDate = new \DateTime($vehicleTrackingTwoSearch->from_date);
                    $endDate = new \DateTime(date("Y-m-d 23:59:59",strtotime($vehicleTrackingTwoSearch->to_date)));


                    $header1 =[''];
                    $data[0] =['Vehicle'];
                    // Preparing headers
                    for ($i=0; $startDate <= $endDate; $startDate->modify('+1 day')) {
                        array_push($header1,$startDate->format('d-M-Y \(D\)'),"","","");
                        array_push($data[0],"From","To","Status","Customer");
                    }

                    $vehicleData = $vehicleTrackingTwoDataProvider->allModels;
                    if(!empty($vehicleData)){
                        $i=1;
                        foreach($vehicleData as $vehicle){
                            $trip_ids = explode(',', $vehicle['trip_ids']);
                            $trip_dates = explode(',', $vehicle['trip_dates']);
                            $customer = explode(',', $vehicle['customer_name']);
                            $unloaded_datetimes = explode(',', $vehicle['unloaded_datetimes']);
                            $origin = explode(',', $vehicle['origin']);
                            $dest = explode(',', $vehicle['dest']);

                              if(!is_array($trip_dates)) {$trip_dates=[$trip_dates];}
                              if(!is_array($unloaded_datetimes)) {$unloaded_datetimes=[$unloaded_datetimes];}

                            // Vehicle data preparation started here
                            $data[$i] = [$vehicle['registration_number']];
                            $startDate = new \DateTime($vehicleTrackingTwoSearch->from_date);
                            for ($j=0; $startDate <= $endDate; $startDate->modify('+1 day')) {

                                $selectedTrip = 0;
                                foreach ($trip_dates as $index => $tripDate) {
                                    $thisTrip = date_create(date("Y-m-d 00:00:00",strtotime($tripDate)));
                                    if ($thisTrip > $startDate) { break; }
                                    $selectedTrip = ($index + 1);
                                }

                                if (empty($trip_ids[0]) || empty($selectedTrip)) {
                                 // No record then show avalible
                                 array_push($data[$i],'-');
                                 array_push($data[$i],'-');
                                 array_push($data[$i],'Available');
                                 array_push($data[$i],'-');
                                 
                                } else {
                                 $thisIndex = ($selectedTrip - 1);
                                 $vehicle_status = "[".$vehicle['vehicle_status']."]";
                                 $vehicle_status = json_decode($vehicle_status,true);
                                 $vehicle_status = $vehicle_status[$thisIndex];

                                 foreach ($vehicle_status as $vehicleStatus) {

frontend/views/site/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use kartik\select2\Select2;
/* @var $this yii\web\View */
/* @var $model frontend\modules\trip\models\TripSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="trip-search row">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <div class="col-md-3">
      <?= $form->field($model, 'origin_state')->widget(Select2::classname(), [
        'data' => \frontend\modules\master\models\State::StateList(),
        'options' => [
          'placeholder' => 'Select Origin State ...',
        ],
        'pluginOptions' => [
          'allowClear' => true,
          //'multiple' => true,
        ],
      ]);
      ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'origin_city')->widget(Select2::classname(), [
        'data' => \frontend\modules\master\models\City::CityList(),
        'options' => [
          'placeholder' => 'Select Origin City ...',
        ],
        'pluginOptions' => [
          'allowClear' => true,
          //'multiple' => true,
        ],
      ]);
      ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'destination_state')->widget(Select2::classname(), [
        'data' => \frontend\modules\master\models\State::StateList(),
        'options' => [
          'placeholder' => 'Select Destination State ...',
        ],
        'pluginOptions' => [
          'allowClear' => true,
          //'multiple' => true,
        ],
      ]);
      ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'destination_city')->widget(Select2::classname(), [
        'data' => \frontend\modules\master\models\City::CityList(),
        'options' => [
          'placeholder' => 'Select Destination City ...',
        ],
        'pluginOptions' => [
          'allowClear' => true,
          //'multiple' => true,
        ],
      ]);
      ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'company_id')->widget(Select2::classname(), [
        'data' =>  \frontend\modules\customer\models\Customer::CustomerList(),
        'options' => [
          'placeholder' => 'Select Customer ...',
        ],
        'pluginOptions' => [
          'allowClear' => true,
          //'multiple' => true,
        ],
      ])->label("Customer");
      ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'number')->label("Enquiry Id") ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'vendor_id')->widget(Select2::classname(), [
        'data' =>  \frontend\modules\vendor\models\Vendor::VendorList(),
        'options' => [
          'placeholder' => 'Select Customer ...',
        ],
        'pluginOptions' => [
          'allowClear' => true,
          //'multiple' => true,
        ],
      ]);
      ?>
    </div>
    <div class="col-md-3">
    <?= $form->field($model, 'vehicle_type_id')->widget(Select2::classname(), [
        'data' => \frontend\modules\master\models\VehicleType::vehicletypelist(),
        'options' => ['placeholder' => 'Select a Vehicle Type ...'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ]);
    ?>
    </div>
    <div class="clearfix"></div>
    <div class="col-md-3">
    <?= $form->field($model, 'trip_date')->textInput(['class'=>'datepicker form-control','autocomplete'=>'off']) ?>
    </div>
    <div class="form-group m-t-20 m-b-0 pull-right">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-inverse','onclick'=>'window.location ="/site/index"']) ?>
        <?php if(Yii::$app->commonFunction->accessToElement('createTrip')){ ?>
          <a href="/trip/manage/create" class="btn btn-info">Add New Enquiry</a>
          <?php } ?>
    </div>

    <?php ActiveForm::end(); ?>
    <div class="clearfix"></div>
</div>

frontend/views/site/_search_gps_tracking.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use kartik\select2\Select2;
use frontend\modules\master\models\VehicleType;
/* @var $this yii\web\View */
/* @var $model frontend\modules\trip\models\TripSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="trip-search row">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>
    <div class="col-md-3">
      <?= $form->field($model, 'registration_number')->label("Reg #") ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'address')->label("City / Location") ?>
    </div>
    <div class="col-md-2">
      <?= $form->field($model, 'v_type_id')->dropdownList(VehicleType::VehicleTypeList(),['prompt'=>'Select Vehicle Type'])->label("Vehicle Type"); ?>
    </div>
    <div class="col-md-2">
      <?= $form->field($model, 'zone')->dropdownList(\Yii::$app->params['zone'],['prompt'=>'Select Zone'])->label("Zone"); ?>
    </div>
    <div class="form-group m-t-20 m-b-0 pull-right">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-inverse','onclick'=>'window.location ="/site/index"']) ?>
    </div>

    <?php ActiveForm::end(); ?>
    <div class="clearfix"></div>
</div>

frontend/views/site/_vehicle_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use kartik\select2\Select2;
/* @var $this yii\web\View */
/* @var $model frontend\modules\trip\models\TripSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="trip-search row">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>
    <div class="col-md-3">
      <?= $form->field($model, 'vendor_id')->widget(Select2::classname(), [
        'data' =>  \frontend\modules\vendor\models\Vendor::VendorList(),
        'options' => [
          'placeholder' => 'Select Vendor ...',
        ],
        'pluginOptions' => [
          'allowClear' => true,
          //'multiple' => true,
        ],
      ]);
      ?>
    </div>
    <div class="col-md-3">
    <?= $form->field($model, 'type_id')->widget(Select2::classname(), [
        'data' => \frontend\modules\master\models\VehicleType::vehicletypelist(),
        'options' => ['placeholder' => 'Select a Vehicle Type ...'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ]);
    ?>
    </div>
    <div class="form-group m-t-20 m-b-0 pull-right">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-inverse','onclick'=>'window.location ="/site/index"']) ?>
    </div>

    <?php ActiveForm::end(); ?>
    <div class="clearfix"></div>
</div>

frontend/views/site/_vehicle_status_two.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use kartik\select2\Select2;
/* @var $this yii\web\View */
/* @var $model frontend\modules\trip\models\TripSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="trip-search row">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1,
            'id'=>'tracking-status-2'
        ],
    ]); ?>
    <div class="col-md-3">
      <?= $form->field($model, 'vendor_id')->widget(Select2::classname(), [
        'data' =>  \frontend\modules\vendor\models\Vendor::VendorList(),
        'options' => [
          'placeholder' => 'Select Vendor ...',
        ],
        'pluginOptions' => [
          'allowClear' => true,
          'multiple' => true,
        ],
      ]);
      ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'from_date')->textInput(['class'=>'form-control datepicker'])->label("From Date"); ?>
    </div>
    <div class="col-md-3">
      <?= $form->field($model, 'to_date')->textInput(['class'=>'form-control datepicker'])->label("To Date"); ?>
    </div>
    <div class="form-group m-t-20 m-b-0 pull-right">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-inverse','onclick'=>'window.location ="/site/index"']) ?> | 
        <?= Html::button('CSV', ['class' => 'btn btn-inverse','onclick'=>"$('#tracking-status-2').attr('action', '/site/vehicletrackingcsv').submit();"]) ?>
    </div>

    <?php ActiveForm::end(); ?>
    <div class="clearfix"></div>
</div>

frontend/views/site/_vehicle_tracking_two_row.php
<?php
  $trip_ids = explode(',', $vehicle['trip_ids']);
  $trip_dates = explode(',', $vehicle['trip_dates']);
  $customer = explode(',', $vehicle['customer_name']);
  $unloaded_datetimes = explode(',', $vehicle['unloaded_datetimes']);
  $origin = explode(',', $vehicle['origin']);
  $dest = explode(',', $vehicle['dest']);

    if(!is_array($trip_dates)) {$trip_dates=[$trip_dates];}
    if(!is_array($unloaded_datetimes)) {$unloaded_datetimes=[$unloaded_datetimes];}

  ?>
  <tr>
    <td class="headcol border-right"><?= $vehicle['registration_number']; ?> </td>

    <?php
    $startDate = new \DateTime($vehicleTrackingTwoSearch->from_date);
    $endDate = new \DateTime(date("Y-m-d 23:59:59",strtotime($vehicleTrackingTwoSearch->to_date)));
    for ($i=0; $startDate <= $endDate; $startDate->modify('+1 day')) { ?>

      <?php
      $selectedTrip = 0;
      foreach ($trip_dates as $index => $tripDate) {
        $thisTrip = date_create(date("Y-m-d 00:00:00",strtotime($tripDate)));
        if ($thisTrip > $startDate) {
          break;
        }

        $selectedTrip = ($index + 1);
      }

      ?>

      <?php
      if (empty($trip_ids[0]) || empty($selectedTrip)) { ?>
        <!-- No record then avalible -->
        <td class=""> -  </td>
        <td class=""> - </td>
        <td >
          <span class="label label-rouded" style="background-color:<?= \Yii::$app->params['vehicle_status_color_code'][''] ['color']?>"><?= \Yii::$app->params['vehicle_status_color_code']['']['label'] ?></span>
        </td>
        <td class="border-right">- </td>
      <?php } else {
        $thisIndex = ($selectedTrip - 1);
        $vehicle_status = "[".$vehicle['vehicle_status']."]";
        $vehicle_status = json_decode($vehicle_status,true);
        $vehicle_status = $vehicle_status[$thisIndex];


        foreach ($vehicle_status as $vehicleStatus) {
          $vehicleStatusDate = date_create(date("Y-m-d 00:00:00",strtotime($vehicleStatus['datetime'])));
          if ($vehicleStatusDate > $startDate) {
            break;
          }else{
              $vehicleStatusEvent = (int)$vehicleStatus['trip_event'];
          }
        }

        if(($vehicleStatusEvent==7 && $vehicleStatusDate<$startDate)){ ?>

        <td class=""> -  </td>
        <td class=""> - </td>
        <td >
          <span class="label label-rouded" style="background-color:<?= \Yii::$app->params['vehicle_status_color_code'][''] ['color']?>"><?= \Yii::$app->params['vehicle_status_color_code']['']['label'] ?></span>
        </td>
        <td class="border-right">- </td>

        <?php }else if(date_diff($vehicleStatusDate, $startDate)->format("%a")>3){ ?>
            <td class=""> -  </td>
            <td class=""> - </td>
            <td class=""> - </td>
            <td class="border-right">- </td>
        <?php } else{ ?>
        
        <td class=""> <?= $origin[$thisIndex]; ?>  </td>
        <td class=""> <?= $dest[$thisIndex]; ?> </td>
        <td >
            <span class="label label-rouded" style="background-color:<?= \Yii::$app->params['vehicle_status_color_code'][$vehicleStatusEvent] ['color']?>"><?= \Yii::$app->params['vehicle_status_color_code'][$vehicleStatusEvent]['label'] ?></span>
        </td>
        <td class="border-right"> <?= $customer[$thisIndex]; ?> </td>
        <?php }
       }
      ?>


    <?php }?>
  </tr>

frontend/views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>This is the About page. You may modify the following file to customize its content:</p>

    <code><?= __FILE__ ?></code>
</div>

frontend/views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \frontend\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        If you have business inquiries or other questions, please fill out the following form to contact us. Thank you.
    </p>

    <div class="row">
        <div class="col-lg-5">
            <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                <?= $form->field($model, 'email') ?>

                <?= $form->field($model, 'subject') ?>

                <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                    'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                ]) ?>

                <div class="form-group">
                    <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                </div>

            <?php ActiveForm::end(); ?>
        </div>
    </div>

</div>

frontend/views/site/driver.php
<?php
use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;
use frontend\modules\trip\models\Trip;
use frontend\modules\vendor\models\Vehicle;
use yii\widgets\ListView;
use yii\widgets\Pjax;
use yii\helpers\ArrayHelper;
if (empty($model)) {
	$this->title = '<center>No Trip Assigned</center>';
	return true;
} else {
	$this->title = $model->number;
}

?>

<div class="trip-view">
	<div class="row">
	  <div class="col-md-4 col-sm-12">
	    <section class="white-box">
	      <div class="user-btm-box p-t-0">
					<div class="row  m-t-10">
	          <div class="col-sm-12"><p><strong class="text-muted">Travel:</strong> From <?= ($model->originDetails->name) ?> to <?= ($model->destinationDetails->name) ?></p></div>
	        </div>
	        <hr>
					<div class="row  m-t-10">
	          <div class="col-sm-6 b-r"><p><strong class="text-muted">Loading:</strong><?= (!empty($model->loading_point))?$model->loading_point:'-'; ?></p></div>
	          <div class="col-sm-6"><p><strong class="text-muted">Unloading:</strong><?= (!empty($model->unloading_point))?$model->unloading_point:'-'; ?></p></div>
	        </div>
	      </div>
	    </section>
	  </div>

	  <div class="col-md-8 col-sm-12 ">
	    <section class="well p-t-10 mob-p-t-0">
  	      <nav class="">
  	        <ul class="nav nav-tabs customtab" role="tablist">
              <li class="active"><a data-toggle="tab" href="#trip-tracking" aria-expanded="false"><span> Tracking</span></a></li>
              <li class=""><a data-toggle="tab" href="#trip-expense" aria-expanded="false"><span> Expense</span></a></li>
              <li class=""><a data-toggle="tab" href="#trip-document" aria-expanded="false"><span> Documents</span></a></li>
  	        </ul>
  	      </nav>

  	      <div class="tab-content">
						<div id="trip-tracking" class="tab-pane fade in active">
							<?= $this->render('@frontend/modules/trip/views/manage/_manage_tracking', [
									'model' => $model,
									'addRemarks'=>$addRemarks,
									'forDriver'=>1,
							]) ?>
						</div>
              <div id="trip-expense" class="tab-pane fade">
								<a class="btn btn-primary waves-effect waves-light btnAddEditTransaction"  title="Tax Invoice" aria-label="Tax Invoice" data-pjax="0">Add Transaction</a>
  							<div class="row">
  								<div class="col-md-12">
										<?= $this->render('@frontend/modules/trip/views/manage/_trip_transaction', [
												'dataTransactions' => $dataTransactions,
												'hideCTA'=>1
										]) ?>
  								</div>
  							</div>
  		        </div>
							<div id="trip-document" class="tab-pane fade">
								<?= $this->render('@frontend/modules/trip/views/manage/_trip_document', [
										'model' => $model,
										'modelDocumentUpload'=>$modelDocumentUpload,
								]) ?>
							</div>

  	      </div>
	    </section>

	  </div>
	</div>

</div>

<?= $this->render('@frontend/modules/trip/views/manage/_modalCreateEditTransaction',[
	'modelTransactions'=>$modelTransactions,
	'forDriver'=>1,
	]) ?>